package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.RelWagaAd;

/** 泵站行政信息关联 Service */
public interface RelWagaAdService {
    /**
     * 查询泵站行政信息关联列表
     *
     * @param relWagaAd 查询条件
     * @return 泵站行政信息关联列表
     */
    public List<RelWagaAd> selectRelWagaAdList(RelWagaAd relWagaAd);

    /**
     * 通过主键查询泵站行政信息关联
     *
     * @param relWagaAd 查询条件
     * @return 泵站行政信息关联
     */
    public RelWagaAd selectRelWagaAdById(RelWagaAd relWagaAd);

    /**
     * 删除泵站行政信息关联
     *
     * @param relWagaAd 删除条件
     * @return 删除行数
     */
    public int deleteRelWagaAdById(RelWagaAd relWagaAd);

    /**
     * 新增泵站行政信息关联
     *
     * @param relWagaAd 泵站行政信息关联
     * @return 插入行数
     */
    public int insertRelWagaAd(RelWagaAd relWagaAd);

    /**
     * 修改泵站行政信息关联
     *
     * @param relWagaAd 泵站行政信息关联
     * @return 更新行数
     */
    public int updateRelWagaAd(RelWagaAd relWagaAd);
}
